Loading...
Searching...
No Matches
casacore::ReservedFitsKeywordCollection Class Reference
fits package (libcasa_fits) » FITS_module

collection of reserved FITS keywords More...

`#include <fits.h>`

## Public Member Functions

const ReservedFitsKeyword & | operator[] (int i) const
int | no () const
const ReservedFitsKeyword & | get (FITS::ReservedName, Bool, FITS::ValueType, const void *, int, const char *&) const
const ReservedFitsKeyword & | get (const char *, int, Bool, FITS::ValueType, const void *, int, const char *&) const
const char * | aname (FITS::ReservedName) const
int | essential_name (const char *, int) const
const ReservedFitsKeyword & | get_essential (int, Bool, FITS::ValueType, const void *, int, const char *&) const
int | isreserved (const char *, int) const
Bool | isunique (int) const
Bool | requires_value (int) const
const ReservedFitsKeyword & | userdef_item () const
const ReservedFitsKeyword & | err_item () const
const ReservedFitsKeyword & | end_item () const
const ReservedFitsKeyword & | spaces () const
const ReservedFitsKeyword & | comment () const
const ReservedFitsKeyword & | history () const
int | rules (const ReservedFitsKeyword &, const char *, int, Bool, FITS::ValueType, const void *, int, const char *&) const

## Private Member Functions

const ReservedFitsKeyword & | match (int, const char *, int, Bool, FITS::ValueType, const void *, int, const char *&) const

## Static Private Attributes

static const int | no_items
static const ReservedFitsKeyword & | user_def_item
static const ReservedFitsKeyword & | error_item
static const ReservedFitsKeyword & | end__item
static const ReservedFitsKeyword & | spaces_item
static const ReservedFitsKeyword & | comment_item
static const ReservedFitsKeyword & | history_item
static const ReservedFitsKeyword | resword []
static const int | resalpha [26]

## Detailed Description

collection of reserved FITS keywords

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 375 of file fits.h.

## Member Function Documentation

## aname()

const char * casacore::ReservedFitsKeywordCollection::aname | ( | FITS::ReservedName |  | ) | const

## comment()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::comment | ( |  | ) | const

inline

Definition at line 426 of file fits.h.

References comment_item.

## end_item()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::end_item | ( |  | ) | const

inline

Definition at line 422 of file fits.h.

References end__item.

## err_item()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::err_item | ( |  | ) | const

inline

Definition at line 420 of file fits.h.

References error_item.

## essential_name()

int casacore::ReservedFitsKeywordCollection::essential_name | ( | const char * | ,
|  | int | ) const

## get() [1/2]

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::get | ( | const char * | ,
|  | int | ,
|  | Bool | ,
|  | FITS::ValueType | ,
|  | const void * | ,
|  | int | ,
|  | const char *& | ) const

## get() [2/2]

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::get | ( | FITS::ReservedName | ,
|  | Bool | ,
|  | FITS::ValueType | ,
|  | const void * | ,
|  | int | ,
|  | const char *& | ) const

## get_essential()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::get_essential | ( | int | ,
|  | Bool | ,
|  | FITS::ValueType | ,
|  | const void * | ,
|  | int | ,
|  | const char *& | ) const

## history()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::history | ( |  | ) | const

inline

Definition at line 428 of file fits.h.

References history_item.

## isreserved()

int casacore::ReservedFitsKeywordCollection::isreserved | ( | const char * | ,
|  | int | ) const

## isunique()

Bool casacore::ReservedFitsKeywordCollection::isunique | ( | int | i | ) | const

inline

Definition at line 416 of file fits.h.

References casacore::name(), and resword.

## match()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::match | ( | int | ,
|  | const char * | ,
|  | int | ,
|  | Bool | ,
|  | FITS::ValueType | ,
|  | const void * | ,
|  | int | ,
|  | const char *& | ) const

private

## no()

int casacore::ReservedFitsKeywordCollection::no | ( |  | ) | const

inline

Definition at line 415 of file fits.h.

References no_items.

## operator[]()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::operator[] | ( | int | i | ) | const

inline

Definition at line 413 of file fits.h.

References resword.

## requires_value()

Bool casacore::ReservedFitsKeywordCollection::requires_value | ( | int |  | ) | const

## rules()

int casacore::ReservedFitsKeywordCollection::rules | ( | const ReservedFitsKeyword & | ,
|  | const char * | ,
|  | int | ,
|  | Bool | ,
|  | FITS::ValueType | ,
|  | const void * | ,
|  | int | ,
|  | const char *& | ) const

## spaces()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::spaces | ( |  | ) | const

inline

Definition at line 424 of file fits.h.

References spaces_item.

## userdef_item()

const ReservedFitsKeyword & casacore::ReservedFitsKeywordCollection::userdef_item | ( |  | ) | const

inline

Definition at line 418 of file fits.h.

References user_def_item.

## Member Data Documentation

## comment_item

const ReservedFitsKeyword& casacore::ReservedFitsKeywordCollection::comment_item

static private

Definition at line 404 of file fits.h.

Referenced by comment().

## end__item

const ReservedFitsKeyword& casacore::ReservedFitsKeywordCollection::end__item

static private

Definition at line 402 of file fits.h.

Referenced by end_item().

## error_item

const ReservedFitsKeyword& casacore::ReservedFitsKeywordCollection::error_item

static private

Definition at line 401 of file fits.h.

Referenced by err_item().

## history_item

const ReservedFitsKeyword& casacore::ReservedFitsKeywordCollection::history_item

static private

Definition at line 405 of file fits.h.

Referenced by history().

## no_items

const int casacore::ReservedFitsKeywordCollection::no_items

static private

Definition at line 399 of file fits.h.

Referenced by no().

## resalpha

const int casacore::ReservedFitsKeywordCollection::resalpha[26]

static private

Definition at line 407 of file fits.h.

## resword

const ReservedFitsKeyword casacore::ReservedFitsKeywordCollection::resword[]

static private

Definition at line 406 of file fits.h.

Referenced by isunique(), and operator[]().

## spaces_item

const ReservedFitsKeyword& casacore::ReservedFitsKeywordCollection::spaces_item

static private

Definition at line 403 of file fits.h.

Referenced by spaces().

## user_def_item

const ReservedFitsKeyword& casacore::ReservedFitsKeywordCollection::user_def_item

static private

Definition at line 400 of file fits.h.

Referenced by userdef_item().

The documentation for this class was generated from the following file:

- fits/FITS/fits.h